OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
D2< CD_FOURTH > Struct Reference

`#include <openvdb/math/FiniteDifference.h>`

## Static Public Member Functions
template<typename ValueType >
static ValueType | difference (const ValueType &xp2, const ValueType &xp1, const ValueType &xp0, const ValueType &xm1, const ValueType &xm2)
template<typename ValueType >
static ValueType | crossdifference (const ValueType &xp2yp2, const ValueType &xp2yp1, const ValueType &xp2ym1, const ValueType &xp2ym2, const ValueType &xp1yp2, const ValueType &xp1yp1, const ValueType &xp1ym1, const ValueType &xp1ym2, const ValueType &xm2yp2, const ValueType &xm2yp1, const ValueType &xm2ym1, const ValueType &xm2ym2, const ValueType &xm1yp2, const ValueType &xm1yp1, const ValueType &xm1ym1, const ValueType &xm1ym2)
template<typename Accessor >
static Accessor::ValueType | inX (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inY (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inZ (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inXandY (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inXandZ (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inYandZ (const Accessor &grid, const Coord &ijk)
template<typename Stencil >
static Stencil::ValueType | inX (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inY (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inZ (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inXandY (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inXandZ (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inYandZ (const Stencil &S)

## Member Function Documentation

## ◆ crossdifference()

template<typename ValueType >

static ValueType crossdifference | ( | const ValueType & | xp2yp2,
|  | const ValueType & | xp2yp1,
|  | const ValueType & | xp2ym1,
|  | const ValueType & | xp2ym2,
|  | const ValueType & | xp1yp2,
|  | const ValueType & | xp1yp1,
|  | const ValueType & | xp1ym1,
|  | const ValueType & | xp1ym2,
|  | const ValueType & | xm2yp2,
|  | const ValueType & | xm2yp1,
|  | const ValueType & | xm2ym1,
|  | const ValueType & | xm2ym2,
|  | const ValueType & | xm1yp2,
|  | const ValueType & | xm1yp1,
|  | const ValueType & | xm1ym1,
|  | const ValueType & | xm1ym2
| ) |  |
| inline static

## ◆ difference()

template<typename ValueType >

static ValueType difference | ( | const ValueType & | xp2,
|  | const ValueType & | xp1,
|  | const ValueType & | xp0,
|  | const ValueType & | xm1,
|  | const ValueType & | xm2
| ) |  |
| inline static

## ◆ inX() [1/2]

template<typename Accessor >

static Accessor::ValueType inX | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ inX() [2/2]

template<typename Stencil >

static Stencil::ValueType inX | ( | const Stencil & | S | ) |
| inline static

## ◆ inXandY() [1/2]

template<typename Accessor >

static Accessor::ValueType inXandY | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ inXandY() [2/2]

template<typename Stencil >

static Stencil::ValueType inXandY | ( | const Stencil & | S | ) |
| inline static

## ◆ inXandZ() [1/2]

template<typename Accessor >

static Accessor::ValueType inXandZ | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ inXandZ() [2/2]

template<typename Stencil >

static Stencil::ValueType inXandZ | ( | const Stencil & | S | ) |
| inline static

## ◆ inY() [1/2]

template<typename Accessor >

static Accessor::ValueType inY | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ inY() [2/2]

template<typename Stencil >

static Stencil::ValueType inY | ( | const Stencil & | S | ) |
| inline static

## ◆ inYandZ() [1/2]

template<typename Accessor >

static Accessor::ValueType inYandZ | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ inYandZ() [2/2]

template<typename Stencil >

static Stencil::ValueType inYandZ | ( | const Stencil & | S | ) |
| inline static

## ◆ inZ() [1/2]

template<typename Accessor >

static Accessor::ValueType inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ inZ() [2/2]

template<typename Stencil >

static Stencil::ValueType inZ | ( | const Stencil & | S | ) |
| inline static